function getUrls( url )
    local ret = {}
    local jsonStr = FinderUtils:getUrlContent(gate_pre..url)
    if not_empty(jsonStr) then
        local jsonObject = json.decode(jsonStr, 1, nil)
        if not_empty(jsonObject) then
            local mp4url = jsonObject["video_source_url"]
            Log:d(log_tag,"got mp4url:"..mp4url)
            if not_empty(mp4url) then
                local strings = wrap_list_proxy(Arrays:asList(FinderUtils:getFinalUrlAndType(mp4url)))
                if(not_empty(strings[0])) then
                    ret = {[strings[1]]={level_1={length=strings[2],url=strings[0]}}}
                end
            end
        end
    end
    Log:d(log_tag,"got baidu json:"..json.encode(ret))
	return json.encode(ret)
end
