function getUrls(url)
    local ret = {}
    url = string.gsub(url,"http://","http://m.")
    local content = FinderUtils:getUrlContent(url)
    local s1,e1,m3u8JsonStr = string.find(content,"m3u8%s*:%s*(%[[^%]]*%])")
    local s2,e2,downloadUrl = string.find(content,"downloadUrl%s*:%s*\"(.-)\"")
    if s1 then
        local m3u8,pos,err = json.decode(m3u8JsonStr, 1, nil)
        if err then
            Log:e("hao123v","sohu m3u8json deocode err")
        else
            local qualities = {"level_1","level_2","level_3"}
            if #m3u8 == 3 then
            ret["m3u8"] = {}
                for i = 1,3 do
                  ret["m3u8"][qualities[i]] = {url=m3u8[i]}
                end
            end
        end
    end
    if s2 then
        Log:d(log_tag,"got dataUrl:"..dataUrl)
        local strings = wrap_list_proxy(Arrays:asList(FinderUtils:getFinalUrlAndType(downloadUrl)))
        if( not_empty(strings[0] )) then
            ret = {[strings[1]]={level_1={length=strings[2],url=strings[0]}}}
        end
    end 
    return json.encode(ret)
end
