function getUrls( url )
	local ret = {}
	local tvid,vid = getIds(url)
    if(tvid and vid) then
        local dataUrl = "http://cache.m.iqiyi.com/jp/tmts/" .. tvid .. "/" .. vid .. "/?uid=&cupid=qc_100001_100186&type=mp4&rate=1";
        Log:d(log_tag,"got dataUrl:"..dataUrl)
        local mp4url = getMp4(dataUrl)
        if not_empty(mp4url) then
            Log:d(log_tag,"got mp4url:"..mp4url)
            local strings = wrap_list_proxy(Arrays:asList(FinderUtils:getFinalUrlAndType(mp4url)))
            ret = {[strings[1]]={level_1={length=strings[2],url=strings[0]}}}
        end
    end
    Log:d(log_tag,"got iqiyi json:"..json.encode(ret))
	return json.encode(ret)
end

function getMp4( url )
    local jsonStr = FinderUtils:getUrlContent(url)
    if not_empty(jsonStr) then
        local jsonObject = json.decode(jsonStr, 1, nil)
        if not_empty(jsonObject) then
            local data = jsonObject["data"]
            if not_empty(data) then
                return data["m3u"]
            end
        end
    end 
    return false
end

function getIds( url )
    local strings = wrap_list_proxy(Arrays:asList(FinderUtils:getFinalUrlAndType(url)))
    local finalurl = strings[0]

    local s1,e1,tvid  = string.find(finalurl,'tvid=(%d+)')
    local s2,e2,vid  = string.find(finalurl,'vid=(%w+)')
    if(s1 and s2) then
        return tvid,vid
    end
    local content = FinderUtils:getUrlContent(url)
    s1,e1,tvid = string.find(content,'"tvid":(%d+)')
    s2,e2,vid = string.find(content,'"vid":"(%w+)"')
    if(s1 and s2) then
        return tvid,vid
    end
end
